<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util">


  <xsl:template name="von-sparql-canvas">
    
    <link rel="stylesheet" type="text/css" href="sites/von-sparql/transform/pages/style.css"/>
  	<script type="text/javascript" src="https://www.google.com/jsapi"><xsl:text> </xsl:text></script>
	<script> 
		<xsl:text disable-output-escaping="yes">google.load('visualization','1', {'packages':['corechart']});</xsl:text>
	</script>
	<script type="text/javascript" src="http://beta.data2000.no/sgvizler/release/0.6/sgvizler.js"><xsl:text> </xsl:text></script>

    <script type="text/javascript" src="ext/von-sparql/von-sparql-script.js"><xsl:text> </xsl:text></script>
    <script type="text/javascript" src="ext/von-sparql/von-sparql-setup.js"><xsl:text> </xsl:text></script>
    <script type="text/javascript" src="ext/von-sparql/combobox.js"><xsl:text> </xsl:text></script>

    <xsl:variable name="protocol" select="substring-before(/page/pageRequest/@baseURL,':')"/>
    <xsl:variable name="baseURL" select="substring-after(/page/pageRequest/@baseURL,':')"/>
    <xsl:variable name="domain" select="substring-before($baseURL,':')"/>
	<xsl:variable name="endpointPath" select="concat($protocol,':',$domain,':3030/greenstone/query')"/>    


	<div id="div_PredicateOverview" style="height:270px" width="auto">
		<div id="sgvzl_PredicateOverview"
			  data-sgvizler-endpoint="{$endpointPath}"
			  data-sgvizler-chart="google.visualization.Table"
			  data-sgvizler-loglevel="2"
			  data-sgvizler-chart-options="title=Predicate Overview"
			  style="width:550px;"
			  >
		  <xsl:attribute name="data-sgvizler-query">

			  SELECT (?p as ?Predicate)(COUNT (?hts) as ?Hathi) (COUNT (?nzs) as ?NZ)((?NZ + ?Hathi) as ?Total)WHERE
			  {
				  {
					?hts &lt;http://purl.org/dc/elements/1.1/Relation.isPartOf&gt; &lt;http://localhost:8989/greenstone3/library/collection/hathitrust-tab&gt;;
						 ?p ?o
				  }
				  UNION
				  {
					 ?nzs &lt;http://purl.org/dc/elements/1.1/Relation.isPartOf&gt; &lt;http://localhost:8989/greenstone3/library/collection/nz-natlib-cat&gt;;
						  ?p ?o
				  }
			  }
			  GROUP BY ?p
			  ORDER BY DESC(?Predicate)

		  </xsl:attribute>
		  <xsl:comment>Filler</xsl:comment>
		</div>
		<div id="queryContainer">
			 <span>SPARQL Query:</span>
			 <br/>
			 <span id="span_sparqlQuery"
				   style="font-size:10pt;">
			 <xsl:comment>Filler</xsl:comment>
			 </span>
		</div>
	</div>
	<div id="searchContainer">
		<div id="searchControls">
			<label for="sel_Predicate">View Predicate:</label>
			<select id="sel_Predicate">
				<option value="None"></option>
			</select> 
			<br/>
				<input type="checkbox" id="cb_RefineSearch"/> <label for="cb_RefineSearch">Refine search to:</label>
				<br/>
			<div id="refineControls">
				<label for="sel_RefineObject">?o</label>
				<select id="sel_RefineObject" enabled='false'>
					<option value="None">Select predicate above</option>
				</select>
				<br/>
				<label for="sel_RefinePredicate">?p</label>
				<select id="sel_RefinePredicate" enabled='false'>
					<option value="None">Select ?o above</option>
				</select>
			</div>

			<select id="sel_Limit">
				<option value="None">No Limit</option> 
				<option value="10">10</option> 
				<option value="25">25</option> 
				<option value="50">50</option> 
				<option value="75">75</option> 
				<option value="100">100</option> 
			</select>
			<select id="sel_ChartType">
				<option value="google.visualization.Table">Table</option> 
				<option value="google.visualization.PieChart">Pie Chart</option> 
				<option value="google.visualization.BarChart">Bar Chart</option> 
				<option value="google.visualization.ImageSparkLine">Sparkline</option> 
			</select>
			<button type="button" id="btn_ShowChart">Execute Query</button>
			<button type="button" id="btn_ShowQuery">Show SPARQL Query</button>
		</div>
		<div id="selectDataset">
		<span>Search Datasets:</span>
		<br/>
		<input type="radio" name="radio_Dataset" value="all"/>All<br/>
		<input type="radio" name="radio_Dataset" value="nz_natlib_cat"/>NZ National Library Catalogue<br/>
		<input type="radio" name="radio_Dataset" value="hathitrust_tab"/>Hathi Trust<br/>
		</div>
	</div>
	<script type="text/javascript">
		<xsl:text disable-output-escaping="yes">
			var overviewSparqlQuery;
			function createOverviewQuery()
			{
				overviewSparqlQuery = $('#sgvzl_PredicateOverview').attr("data-sgvizler-query");
			}
			
			google.load('visualization','1', {packages: ['imagechart']});		

			$(document).ready(
				function (){
					sgvizler
						.defaultEndpointOutputFormat('jsonp')
						// Add prefixes used in examples:
						.prefix('dc',  "http://purl.org/dc/elements/1.1/")
						.prefix('xsd',  "http://www.w3.org/2001/XMLSchema#")

						// Draw all sgvizler containers on page:
						.containerDrawAll();

						createOverviewQuery();

					 //Load possible predicate values into selector
					 updatePredicateSelector();

					 //Ensure search refinement elements are greyed
					 toggle_RefineSearch(0);   
					 $('#cb_RefineSearch').prop('checked',false);
				}
			);

			window.onload=setupPage;
		  </xsl:text>
	</script>

	<div id="sgvzl_container"
		 style="width:auto; height:400px; margin-top:10px; ">
	</div>
	</xsl:template>


	<!-- the page content -->
	<xsl:template match="/page/pageResponse">

		<div id="quickSearch">
			<gslib:crossCollectionQuickSearchForm/>
		</div>

		<h2><gslib:selectACollectionTextBar/></h2>

		<div id="collectionLinks">
			<xsl:if test="count(collectionList/collection) = 0">
				<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.no_collections')"/>
				<br/>
			</xsl:if>
			<xsl:for-each select="collectionList/collection">
				<gslib:collectionLinkWithImage/>
			</xsl:for-each>
			<br class="clear"/>
		</div>

		<xsl:call-template name="von-sparql-canvas"/>

		<gslib:serviceClusterList/>

		<xsl:for-each select="serviceList/service[@type='query']">
			<gslib:serviceLink/><br/>
		</xsl:for-each>
		
		<xsl:for-each select="serviceList/service[@type='authen']">
			<gslib:authenticationLink/><br/><br/>
			<gslib:registerLink/><br/>
		</xsl:for-each>

	</xsl:template>

</xsl:stylesheet>


